Create task google/imagen-4-fast
Official document: https://replicate.com/google/imagen-4-fast
POST
/replicate/v1/models/google/imagen-4-fast/predictionsBody Parametersapplication/json
input object
Input content
properties aspect_ratio string
The aspect ratio of the generated image. Default value: "1:1".
output_format string
The format of the output image. Default value: "jpg".
prompt* string
Image-generated text prompts.
safety_filter_level string
block_low_and_above is the most strict, block_medium_and_above will block some prompts, and block_only_high is the loosest, but some prompts will still be blocked. Default value: "block_only_high"
Responses
200 application/json
response-200 object
properties created_at string
Creation time
data_removed boolean
Whether sensitive data has been removed
error string nullable
Error message
id* string
Resource or task ID
input object
Input content
logs string
Run logs
model string
Model name / model ID
output string nullable
Output result
status* string
Status
urls object
List of resource URLs
version string
Version
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"input": {
3"aspect_ratio": "4:3",
4"output_format": "jpg",
5"prompt": "The photo: Create a cinematic, photorealistic medium shot capturing the dynamic energy of a high-octane action film. The focus is a young woman with wind-swept dark hair streaked with pink highlights and determined features, looking directly and intently into the camera lens, she is slightly off-center. She wears a fitted pink and gold racing jacket over a black tank top with \"Imagen 4 Fast\" in motion-stylized lettering and on the next line \"on Replicate\" emblazoned across the chest and aviator sunglasses pushed up on her head. The lighting is dramatic with motion blur streaks and neon reflections from passing city lights, creating dynamic lens flares and light trails (they do not cover her face). The background shows a blurred urban nightscape with streaking car headlights and illuminated skyscrapers rushing past, rendered with heavy motion blur and shallow depth of field. High contrast lighting, vibrant neon color palette with deep blues and electric yellows, and razor-sharp focus on her intense eyes enhance the fast-paced, electrifying atmosphere. She is illuminated while the background is darker.",
6"safety_filter_level": "block_only_high"
7}
8}
1curl -X POST "https://api.digislash.com/replicate/v1/models/google/imagen-4-fast/predictions" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"input": {
6"aspect_ratio": "4:3",
7"output_format": "jpg",
8"prompt": "The photo: Create a cinematic, photorealistic medium shot capturing the dynamic energy of a high-octane action film. The focus is a young woman with wind-swept dark hair streaked with pink highlights and determined features, looking directly and intently into the camera lens, she is slightly off-center. She wears a fitted pink and gold racing jacket over a black tank top with \"Imagen 4 Fast\" in motion-stylized lettering and on the next line \"on Replicate\" emblazoned across the chest and aviator sunglasses pushed up on her head. The lighting is dramatic with motion blur streaks and neon reflections from passing city lights, creating dynamic lens flares and light trails (they do not cover her face). The background shows a blurred urban nightscape with streaking car headlights and illuminated skyscrapers rushing past, rendered with heavy motion blur and shallow depth of field. High contrast lighting, vibrant neon color palette with deep blues and electric yellows, and razor-sharp focus on her intense eyes enhance the fast-paced, electrifying atmosphere. She is illuminated while the background is darker.",
9"safety_filter_level": "block_only_high"
10}
11}'
1▼{
2"created_at": "2025-07-30T03:13:27.921Z",
3"data_removed": false,
4"id": "20z778rke5rm80crb5982z0m1g",
5▼"input": {
6"aspect_ratio": "4:3",
7"output_format": "jpg",
8"prompt": "The photo: Create a cinematic, photorealistic medium shot capturing the dynamic energy of a high-octane action film. The focus is a young woman with wind-swept dark hair streaked with pink highlights and determined features, looking directly and intently into the camera lens, she is slightly off-center. She wears a fitted pink and gold racing jacket over a black tank top with \"Imagen 4 Fast\" in motion-stylized lettering and on the next line \"on Replicate\" emblazoned across the chest and aviator "…,
9"safety_filter_level": "block_only_high"
10},
11"logs": "",
12"model": "google/imagen-4-fast",
13"status": "starting",
14▼"urls": {
15"cancel": "https://api.replicate.com/v1/predictions/20z778rke5rm80crb5982z0m1g/cancel",
16"get": "https://api.replicate.com/v1/predictions/20z778rke5rm80crb5982z0m1g",
17"stream": "https://stream.replicate.com/v1/files/bcwr-blsi6mnoqvfndurpci2t2i77xl2s3k3xb5r5hru3xwyrev6v7uca",
18"web": "https://replicate.com/p/20z778rke5rm80crb5982z0m1g"
19},
20"version": "hidden"
21}
